> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete connection

> Delete a specific connection by its name



## OpenAPI

````yaml delete /api/orchestration/fabric/{fabricId}/connection/name/{connectionName}
openapi: 3.0.3
info:
  title: Prophecy Connections API
  description: API for managing Prophecy connections
  version: 1.0.0
servers: []
security: []
paths:
  /api/orchestration/fabric/{fabricId}/connection/name/{connectionName}:
    parameters:
      - name: fabricId
        in: path
        description: The unique ID of the parent fabric
        required: true
        schema:
          type: string
      - name: connectionName
        in: path
        description: The unique name of the connection
        required: true
        schema:
          type: string
    delete:
      tags:
        - Connections
      summary: Delete connection
      description: Delete a specific connection by its name
      operationId: deleteConnection
      parameters:
        - $ref: '#/components/parameters/X-AUTH-TOKEN'
      responses:
        '200':
          description: Connection deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates whether the request was successful.
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The name of the deleted connection.
              example:
                success: true
                data:
                  id: bigquery_api_test
components:
  parameters:
    X-AUTH-TOKEN:
      name: X-AUTH-TOKEN
      in: header
      description: Prophecy authentication token. Required for all API requests.
      required: true
      schema:
        type: string

````